import { useQuery, UseQueryResult } from 'react-query';
import { UserResponse } from '../client/types';
import useClientContext from './useClientContext';

export default function useMe(): UseQueryResult<UserResponse, Error> {
  const client = useClientContext();

  return useQuery<UserResponse, Error>('me', async () => client.client.auth.me());
}
