import { useMutation, UseMutationResult } from 'react-query';
import { ProfileData } from '../client/auth';
import useClientContext from './useClientContext';

export default function useRegister(): UseMutationResult<any, Error, ProfileData> {
  const client = useClientContext();

  return useMutation<any, Error, ProfileData>('register', async (data: ProfileData) =>
    client.client.auth.register(data),
  );
}
